Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

## javax.jcr.observation
Interface EventListener

      public interface EventListener

An event listener.

An `EventListener` can be registered via the ``ObservationManager`` object. Event listeners are notified asynchronously, and see events after they occur and the transaction is committed. An event listener only sees events for which the session that registered it has sufficient access rights.

Method Summary
`void` `onEvent(EventIterator events)` Gets called when an event occurs.

Method Detail

### onEvent

    void onEvent(EventIterator events)

  Gets called when an event occurs.
  Parameters:
    `events` - The event set recieved.

Skip navigation links

Oracle® Database XML Java API Reference 11g Release 2 (11.2) E10769-01

Copyright © 2004-2005 Day Software Management AG. All Rights Reserved.